if(massiveextender)
{
	/* App namespaces */
	massiveextender.REQUIRE(massiveextender.App.UI);
	massiveextender.REQUIRE(massiveextender.App.Persist);
	massiveextender.REQUIRE(massiveextender.App.Engine);
	massiveextender.REQUIRE(massiveextender.App.Main);

	massiveextender.REQUIRE(massiveextender.App.Setup);

	/* Framework namespaces */
	massiveextender.REQUIRE(massiveextender.Init);

	/* Framework app loader code */
	massiveextender.BOOT(massiveextender.App.Setup);
}
else
{
	// TODO: ensure graceful exit
	// two options here:
	//
	// a) prevent UI overlays from loading
	// this can only be done if relying on loadOverlay() (instead of automatic processing overlays
	// into chrome registry using manifest) since looiking at
	// nsXULDocument::OverlayForwardReference, there's no way to unmerge overlay
	// (this and other base scripts will have to be consumed from automatic overlays anyway
	// - can be empty)
	// 
	// b) destroy UI elements already automatically loaded through registry
	// this is ugly performance-wise but a little easier to implement - will have to register
	// DOM only tree sprouts and cut them with removeNode(parentNode,sproutNode) through something
	// like .FAIL(setupstruct)
}
