var Dialog={};
if(Dialog)
{
	let $dom =massiveextender.REQUIRE(massiveextender.Helpers.DOM);
	let $xre =massiveextender.REQUIRE(massiveextender.Helpers.XULRT);
	let $xpc =massiveextender.REQUIRE(massiveextender.Helpers.XPC);

	let $dlg =
	Dialog.Main =
	{
		elements: {},
		
		_stringbundle: null,
		get stringbundle()
		{
			if(!$dlg._stringbundle)
				$dlg._stringbundle = $dom.byid("stringbundle");
			return $dlg._stringbundle;
		},

		_strings: null,
		get strings()
		{
			if(!$dlg._strings)
				$dlg._strings = $xpc.objects.makestrings(["stringbundle"]);
			return $dlg._strings;
		},
	
		_istruct: null,
		get istruct()
		{
			if(!$dlg._istruct)
				$dlg._istruct = window.arguments[0];
			return $dlg._istruct;
		},

		listeners:
		{
			windowload: function()
			{
				$dom.byid("header-description").childNodes[0].nodeValue =
						$dlg.strings.get("install.dialog.header",
								[$dlg.istruct.counters.total, $dlg.istruct.collection.name],
								$dlg.istruct.counters.total);

				$dlg.elements =
				{
					checkbox:
					{
						"enable disabled": 			$dom.byid("enable-disabled-checkbox"),
						"install experimental": 	$dom.byid("install-experimental-checkbox"),
						"allow incompat": 			$dom.byid("allow-incompat-checkbox")
					},
					label:
					{
						"installable report": 		$dom.byid("installable-report-label"),
						"enable disabled report": 	$dom.byid("enable-disabled-report-label"),
						"uninstallable report": 	$dom.byid("uninstallable-report-label"),
						"already enabled": 			$dom.byid("already-enabled-report-label"),
						"bad installer": 			$dom.byid("bad-installer-report-label")
					}
				}
				
				$dlg.Update();


			}
		},
		
		commands:
		{
			PerformAction: function()
			{
				$dlg.istruct.go = true;
				window.close();
			},
			Cancel: function()
			{
				$dlg.istruct.go = false;
				window.close();
			},
			OptionCheck: function()
			{
				for(let option in $dlg.elements.checkbox)
					$dlg.istruct.options[option] =
							$dlg.elements.checkbox[option].checked;
				$dlg.Update();
			}
		},
		
		Update: function()
		{
			let hideordisable = "disabled";
			// -- reflect installation options in checkboxes --
			for(let option in $dlg.elements.checkbox)
				$dlg.elements.checkbox[option].checked =
						$dlg.istruct.options[option];
			// -- counter summaries --
			let failctr = 0;
			// ..."installable report"
			let installctr = $dlg.istruct.counters["missing"]["installable"];
			let expctr = $dlg.istruct.counters["missing"]["experimental"];
			$dlg.elements.checkbox["install experimental"].label =
					$dlg.stringbundle.getFormattedString("install.experimental.checkbox", [expctr]);
			if(expctr == 0)
				$dlg.elements.checkbox["install experimental"][hideordisable] = true;
			if($dlg.istruct.options["install experimental"])
				installctr += expctr;
			else
				failctr += expctr;
			// ..."allow incompat"
			incompatctr = $dlg.istruct.counters["missing"]["incompatible"];
			$dlg.elements.checkbox["allow incompat"].label =
					$dlg.stringbundle.getFormattedString("allow.incompat.checkbox", [incompatctr]);
			if(incompatctr == 0)
			{
				$dlg.elements.checkbox["allow incompat"][hideordisable] = true;
				$dom.byid("allow-incompat-footnote")[hideordisable] = true;
				$dom.byid("allow-incompat-footnote").style.opacity=0.2;
			}
			if($dlg.istruct.options["allow incompat"])
				installctr += incompatctr;
			else
				failctr += incompatctr;
			$dlg.elements.label["installable report"].value = installctr;
			// ..."enable disabled report"
			enablectr = $dlg.istruct.counters["installed"]["disabled"];
			$dlg.elements.checkbox["enable disabled"].label =
					$dlg.stringbundle.getFormattedString("enable.disabled.checkbox", [enablectr]);
			if(enablectr == 0)
				$dlg.elements.checkbox["enable disabled"][hideordisable] = true;
			else
			{
				if(!$dlg.istruct.options["enable disabled"])
				{
					enablectr = 0;
					failctr += $dlg.istruct.counters["installed"]["disabled"];
				}
			}
			$dlg.elements.label["enable disabled report"].value = enablectr;
			//..."uninstallable report"
			$dlg.elements.label["uninstallable report"].value = failctr;
			//..."already enabled"
			$dlg.elements.label["already enabled"].value =
					$dlg.istruct.counters["installed"]["enabled"];
			// ..."bad installer"
			$dlg.elements.label["bad installer"].value =
				$dlg.istruct.counters["missing"]["refuse"];

			$dlg.istruct.counters.actionable = installctr + enablectr;
			$dom.byid("perform-action-command").
				setAttribute("disabled", $dlg.istruct.counters.actionable == 0);
		}
	}

}

window.addEventListener("load", Dialog.Main.listeners.windowload, false);

